import './App.css';
import {connect} from "react-redux";
import {Navigate} from "react-router-dom"
import React from "react";
import Auth from "./components/Auth";
import {BrowserRouter, Routes, Route} from "react-router-dom";
import Profile from "./components/Profile";


// const ProtectedRout = ({roles=[],fallback="/login",component, auth, ...routProps})=>{
//     const WrapperComponent= ( renderProps)=>{
//         const C = component
//         return<C {...renderProps}/>
//     }
//     return <Route{...routProps} component ={wrapperComponent}/>
// }
// const CProtectedRout = connect(state=> state.auth)(ProtectedRout)

// <CProtectedRout roles={["anon"]} fallback="/dashboard" path="/register" component={Auth}/>
// <CProtectedRout roles={["admin"]} path="/admin" component={CPageAdmin}/>
// <CProtectedRout roles={["admin", "user"]} path="/" />
//



function App(props) {
    return (
        <div>
            <BrowserRouter>
                <Routes>
                    <Route path="/" element={<Navigate to="/auth"/>}/>
                    <Route path="/auth" element={<Auth/>}/>
                    <Route path="/profile" element={<Profile/>}/>
                </Routes>
            </BrowserRouter>
        </div>
    );
}

export default App;
