const initialState = {
    auth: {
        token: "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOnsiaWQiOiI2MmNiMDJiNWY2Y2FmODM3ODZmNzRkZTAiLCJsb2dpbiI6InBlbmcxMzgiLCJhY2wiOlsiNjJjYjAyYjVmNmNhZjgzNzg2Zjc0ZGUwIiwidXNlciJdfSwiaWF0IjoxNjU3NDcxNjcwfQ.dKAgmQ2J-85XONErHC9JNz1yjctwYnIILFow1NPlyIo",
        user: {
            sub: {
                id: "62cb02b5f6caf83786f74de0",
                login: "peng138",
                acl: {
                    0: "user",
                    1: 1657471670,
                }
            }},
    },
    activeUser: null,
    activeUserPosts: [],
    ownerData: null,
    error: {
        auth: null,
    }
}
const rootReducer = (state = initialState, action) => {
    switch (action.type){
        case "CHANGE_AUTH_DATA":
            return{
                ...state, auth: action.payload
            }
        case "SET_ERROR":
            return{
                ...state, error: {...state.error, auth: action.payload}
            }
        case "SET_ACTIVE_USER_DATA":
            return{
                ...state, activeUser: action.payload,
            }
        case "SET_ACTIVE_USER_ALL_POSTS":
            console.log(action.payload)
            return{
                ...state,
                activeUserPosts: action.payload
            }
        case "SET_OWNER_DATA":
            return{
                ...state, ownerData: action.payload,
            }
        default:
            return state
    }
}

export default rootReducer;

